net.minecraft.nbt

## Class CompressedStreamTools

- java.lang.Object
- - net.minecraft.nbt.CompressedStreamTools

-     public class CompressedStreamTools
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompressedStreamTools()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `compress(NBTTagCompound par0NBTTagCompound)`
    `static NBTTagCompound` | `decompress(byte[] par0ArrayOfByte)`
    `static NBTTagCompound` | `read(DataInput par0DataInput)` Reads from a CompressedStream.
    `static NBTTagCompound` | `read(File par0File)`
    `static NBTTagCompound` | `readCompressed(InputStream par0InputStream)` Load the gzipped compound from the inputstream.
    `static void` | `safeWrite(NBTTagCompound par0NBTTagCompound, File par1File)`
    `static void` | `write(NBTTagCompound par0NBTTagCompound, DataOutput par1DataOutput)`
    `static void` | `write(NBTTagCompound par0NBTTagCompound, File par1File)`
    `static void` | `writeCompressed(NBTTagCompound par0NBTTagCompound, OutputStream par1OutputStream)` Write the compound, gzipped, to the outputstream.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompressedStreamTools

          public CompressedStreamTools()

  - ### Method Detail

    - #### readCompressed

          public static NBTTagCompound readCompressed(InputStream par0InputStream)
                                               throws IOException

      Load the gzipped compound from the inputstream.
      Throws:
        `IOException`

    - #### writeCompressed

          public static void writeCompressed(NBTTagCompound par0NBTTagCompound,
                             OutputStream par1OutputStream)
                                      throws IOException

      Write the compound, gzipped, to the outputstream.
      Throws:
        `IOException`

    - #### decompress

          public static NBTTagCompound decompress(byte[] par0ArrayOfByte)
                                           throws IOException

      Throws:
        `IOException`

    - #### compress

          public static byte[] compress(NBTTagCompound par0NBTTagCompound)
                                 throws IOException

      Throws:
        `IOException`

    - #### safeWrite

          public static void safeWrite(NBTTagCompound par0NBTTagCompound,
                       File par1File)
                                throws IOException

      Throws:
        `IOException`

    - #### read

          public static NBTTagCompound read(DataInput par0DataInput)
                                     throws IOException

      Reads from a CompressedStream.
      Throws:
        `IOException`

    - #### write

          public static void write(NBTTagCompound par0NBTTagCompound,
                   DataOutput par1DataOutput)
                            throws IOException

      Throws:
        `IOException`

    - #### write

          public static void write(NBTTagCompound par0NBTTagCompound,
                   File par1File)
                            throws IOException

      Throws:
        `IOException`

    - #### read

          public static NBTTagCompound read(File par0File)
                                     throws IOException

      Throws:
        `IOException`